PDA

View Full Version : Compatibility Question



Chopper777
11-11-2011, 04:41 PM
At Home
Linux Mint 11
Intel Core i7-950 3.06 GHz processor
Nvidia GTS 450 GPU
OpenGL 4.2

At School
OpenSUSE Linux 11.4
Unknown processor
Unknown GPU
OpenGL version that comes with OpenSUSE Linux 11.4
MESA

If I develop OpenGL programs at home, should they work without modification at school?

Thanks,

Chopper

ZbuffeR
11-11-2011, 05:17 PM
"Unknown GPU" ... makes it hard to predict what will happen, right ?
What kind of features or OpenGL version will you use ?

Chopper777
11-11-2011, 05:47 PM
Well, I'm a Linux/OpenGL beginner. I was hoping OpenGL was very compatible across many different Linux hardware/software platforms.

I'm a big fan of UNIX, and have always wanted to get into Linux. But I've been somewhat disappointed in the compatibility concerns that seem to be inherent in the many different Linux distros.

Actually, I haven't yet bought the "At Home" PC setup that I described in my original post. But after a lot of research, it's the one I want. But my graduate courses in Computer Graphics will require that my homework programs run on the "At School" PC setup that I described in my original post.

I'm afraid that the only way I will know if the two are compatible as far as OpenGL programs are concerned is to buy it and try it. Which is a bad way.

Should I just try to duplicate the "At School" PC setup? Wow, I wish Linux was UNIX...then I wouldn't have these concerns.

marshats
11-11-2011, 08:19 PM
NVIDIA drivers work fine in linux. Your home computer GPU will be more capable so anything openGL written to run on your school computer will work at home. I personally wouldn't duplicate your school computer -- You will just have to restrict yourself to openGL 2.1 most likely to run on both. And if it is for a class then that should be an easy restriction to meet. Once your class is over and you want to get into the newer capabilities of modern GPUs then you will be able to so with GL 4 on your latest NVIDIA card.

You say MESA at school but can you verify what version? Can you run glewinfo?

For instance, I have a machine with openGL 2.1 capabilities using MESA:


> glewinfo | less
---------------------------
GLEW Extension Info
---------------------------

GLEW version 1.6.0
Reporting capabilities of display :0, visual 0xc4
Running on a Software Rasterizer from Mesa Project
OpenGL version 2.1 Mesa 7.11 is supported

GL_VERSION_1_1: OK
---------------

GL_VERSION_1_2: OK
---------------
glCopyTexSubImage3D: OK
glDrawRangeElements: OK
glTexImage3D: OK
glTexSubImage3D: OK

GL_VERSION_1_2_1: OK
-----------------
...



So to answer your question "If I develop OpenGL programs at home, should they work without modification at school?" -- Yes, if you restrict yourself to openGL 2.1 (depending on your answer to running glewinfo at school).

Chopper777
11-12-2011, 05:46 AM
Thanks for your reply. It's certainly what I wanted to hear. I'll restrict myself to the OpenGL 2.1 capabilities at home just for the classes I'm taking.

Thanks again.